{% extends 'HCUEPacienteBundle::layout.html.twig' %}

{% block title %}Carga de archivo de vacunas{% endblock title %}

{% block bradcrumbs '' %}

{% block page_main_content %}
    <div class="row">
        <div class="col-sm-3"></div>
        <div class="widget-box col-sm-6 ">
            <div class="widget-header widget-header-flat widget-header-small">
                <h5 class="widget-title"><strong>Carga archivo de vacunación</strong></h5>
            </div>

            <div class="widget-body">
                <div class="widget-main">
                    <div id="accordion" class="accordion-style1 panel-group">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#format">
                                        <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i><i class="fa fa-file-text   bigger-100 blue"></i>
                                        Formato archivo
                                    </a>
                                </h4>
                            </div>
                            <div class="panel-collapse collapse" id="format">
                                <ul class="black">
                                    <li style="text-align: left;">El formato del archivo debe contener la informaci&oacute;n de este <a style="cursor:pointer;text-decoration: underline" href="{{absolute_url('https://almacenamiento.msp.gob.ec/index.php/s/b8kn9Ieaa6A7u81')}}"target="_blank">archivo</a></li>
                                    <li style="text-align: left;">El archivo debe contener un m&aacute;ximo de 100 registros.</li>
                                    <li style="text-align: left;">El archivo debe contener el formato .csv</li>
                                </ul>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#vacunas_exist">
                                        <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i><i class="icon-i-immunizations   bigger-100 blue"></i>
                                        Vacunas existentes
                                    </a>
                                </h4>
                            </div>
                            <div class="panel-collapse collapse" id="vacunas_exist">
                                <table class="table-row" style="width: 100%;">
                                    <tr>
                                        <td>
                                            <ul class="black">
                                                {% for vacuna in vacunas %}
                                                    {% if loop.index is not divisible by(2) %}
                                                        <li style="text-align: left;">{{ vacuna.nombrevacuna }}</li>
                                                    {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </td>
                                        <td>
                                            <ul class="black">
                                                {% for vacuna in vacunas %}
                                                    {% if loop.index is divisible by(2) %}
                                                        <li style="text-align: left;">{{ vacuna.nombrevacuna }}</li>
                                                    {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#grupo">
                                    <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i><i class="icon-i-social-services bigger-100 blue"></i>
                                    Grupos de riesgo
                                    </a>
                                </h4>
                            </div>
                            <div class="panel-collapse collapse" id="grupo">
                            <table class="table-row" style="width: 100%;">
                                    <tr>
                                        <td>
                                            <ul class="black">
                                                {% for riesgo in riesgos %}
                                                    {% if loop.index is not divisible by(2) %}
                                                        <li style="text-align: left;">{{ riesgo.descripcion }}</li>
                                                    {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </td>
                                        <td>
                                            <ul class="black">
                                                {% for riesgo in riesgos %}
                                                    {% if loop.index is divisible by(2) %}
                                                        <li style="text-align: left;">{{ riesgo.descripcion }}</li>
                                                    {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#identificacion">
                                        <i class="ace-icon fa fa-angle-right bigger-110" data-icon-hide="ace-icon fa fa-angle-down" data-icon-show="ace-icon fa fa-angle-right"></i><i class="icon-i-administration bigger-100 blue"></i>
                                        Tipo de identificación aceptados
                                    </a>
                                </h4>
                            </div>
                            <div class="panel-collapse collapse" id="identificacion">
                                <ul class="black">
                                    {% for tipo_ident in tipo_idents %}
                                        <li style="text-align: left;">{{ tipo_ident.descripcion }}</li>
                                    {% endfor %}
                                 </ul>
                            </div>
                        </div>
                    </div>
                    <form accept-charset="utf-8" action="{{ path('hcue_paciente_cargavacunacion_save') }}" method="post" id="frmcarga" enctype="multipart/form-data">
                        <div class="row ">
                            <div class="col-lg-8">
                                <div class="form-group">
                                    <label for="carga_vacuna_file" class="blue ">Selecione el archivo a importar: </label>
                                    <input type="file" class="form-control-file" required="required" id="carga_vacuna_file" name="carga_vacuna_file">
                                </div>
                            </div>
                        </div>
                        <div class="row center">
                            <button class="btn btn-primary" id="btnimport" >
                                <i class="menu-icon fa fa fa-download"> </i>
                                Importar
                            </button>
                            <p id="msjimportar"></p>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-sm-3"></div>
    </div>
{% endblock page_main_content %}

{% block foot_script %}
    {{ parent() }}
    <script type="text/javascript">
        $(function () {
            $("#btnimport").click(function(){
                $(this).hide()
                    .slideUp( 1000 ).delay( 8800 ).fadeIn( 1000 );
                $("#msjimportar").html("Por favor espere ...");
            });
        });
    </script>
{% endblock foot_script %}